Description

When you have many layers in edit mode, it's handy in two clicks to have all of them saved through the "Current Edits" combo box -->

Save for All/Selected layers.

Once done, one still needs to put out of edit mode one by one all the edited layers. Could be nice to have a tool that does this in two clicks

too.

History

#1 - 2016-07-04 10:46 PM - Andreas Neumann

For PostgreSQL this is already available, if you enable it:

See Project --> Project Properties --> Automatically Create Transaction groups where possible

This adds all PostgreSQL/Postgis layers from the same connection into edit mode at once.

It has other side-effect, too, though.

#2 - 2016-07-04 11:01 PM - Harrissou Santanna

Yes Andreas I'm aware of this option. Note that this option saves/rollbacks also the modifications in those layers.

What I was requesting is a tool that simply puts layers (regardless their provider) in (or out of) edit mode without clicking them one by one.

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
